<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Ecommerce Website</title>
    <style>
        /* CSS styling */
        body {
            font-family: Arial, sans-serif;
            background-color: #f2f2f2;
            margin: 0;
            padding: 0;
        }
        header {
            background-color: #333;
            color: #fff;
            padding: 20px;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
        #logo {
            font-size: 24px;
            font-weight: bold;
        }
        nav {
            display: flex;
        }
        nav a {
            color: #fff;
            text-decoration: none;
            margin: 0 20px;
        }
        #banner {
            background-image: url('https://via.placeholder.com/1500x300');
            background-size: cover;
            height: 300px;
            display: flex;
            justify-content: center;
            align-items: center;
            text-align: center;
        }
        #banner h1 {
            font-size: 48px;
            color: #fff;
            text-shadow: 1px 1px #333;
        }
        main {
            padding: 20px;
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
        }
        .product {
            width: 30%;
            background-color: #fff;
            margin-bottom: 20px;
            padding: 20px;
            box-shadow: 2px 2px 5px rgba(0,0,0,0.2);
        }
        .product img {
            width: 100%;
        }
        .product h2 {
            margin-top: 10px;
            font-size: 24px;
            font-weight: bold;
        }
        .product p {
            margin-top: 10px;
            font-size: 18px;
            color: #888;
        }
        .product button {
            background-color: #333;
            color: #fff;
            border: none;
            padding: 10px;
            border-radius: 5px;
            margin-top: 10px;
            cursor: pointer;
            transition: all 0.2s ease-in-out;
        }
        .product button:hover {
            background-color: #444;
        }
        footer {
            background-color: #333;
            color: #fff;
            padding: 20px;
            text-align: center;
        }
    </style>
</head>
<body>
    <!-- HTML content -->
    <header>
        <div id="logo">My Ecommerce Website</div>
        <nav>
            <a href="#">Home</a>
            <a href="#">Shop</a>
            <a href="#">Blog</a>
            <a href="#">Contact</a>
        </nav>
    </header>
    <div id="banner">
        <h1>Featured Products</h1>
    </div>
    <main>
        <div class="product">
            <img src="https://images.unsplash.com/photo-1505156868547-9b49f4df4e04?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=416&q=80" alt="Product">
            <h2>Product Title</h2>
            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
            <button>Add to Cart</button>
        </div>
        <div class="product">
            <img src="https://images.unsplash.com/photo-1523966211575-eb4a01e7dd51?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxzZWFyY2h8MjR8fHBob25lfGVufDB8fDB8fHww&auto=format&fit=crop&w=600&q=60" alt="Product">
            <h2>Product Title</h2>
            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
            <button>Add to Cart</button>
        </div>
        <div class="product">
            <img src="https://images.unsplash.com/photo-1559650656-5d1d361ad10e?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=348&q=80" alt="Product">
            <h2>Product Title</h2>
            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
            <button>Add to Cart</button>
        </div>
    </main>
    <footer>
        &copy; 2021 My Ecommerce Website. All rights reserved. 100000
    </footer>
</body>
</html>